org.apache.ignite.hadoop

## Class HadoopInputSplit

- java.lang.Object
- - org.apache.ignite.hadoop.HadoopInputSplit

All Implemented Interfaces:
  Externalizable, Serializable

Direct Known Subclasses:
  HadoopFileBlock

    public abstract class HadoopInputSplit
    extends Object
    implements Externalizable

Abstract fragment of an input data source.

See Also:
  Serialized Form

### Field Summary

Fields
`protected String[]` `hosts`

### Constructor Summary

Constructors
Constructor and Description
`HadoopInputSplit()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract boolean` `equals(Object obj)` This method must be implemented for purpose of internal implementation.
`abstract int` `hashCode()` This method must be implemented for purpose of internal implementation.
`String[]` `hosts()` Array of hosts where this input split resides.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.io.Externalizable

`readExternal, writeExternal`

### Field Detail

#### hosts

    protected String[] hosts

### Constructor Detail

#### HadoopInputSplit

    public HadoopInputSplit()

### Method Detail

#### hosts

    public String[] hosts()

Array of hosts where this input split resides.

Returns:
  Hosts.

#### equals

    public abstract boolean equals(Object obj)

This method must be implemented for purpose of internal implementation.

Overrides:
  `equals` in class `Object`
Parameters:
  `obj` - Another object.
Returns:
  `true` If objects are equal.

#### hashCode

    public abstract int hashCode()

This method must be implemented for purpose of internal implementation.

Overrides:
  `hashCode` in class `Object`
Returns:
  Hash code of the object.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018